package cn.com.countrygarden.bi.main.service.advise;

import cn.com.countrygarden.bi.main.core.Result;
import cn.com.countrygarden.bi.main.dto.advise.param.AdviseFeedbackParam;
import cn.com.countrygarden.bi.main.dto.advise.param.AdviseResponsiblerParam;
import cn.com.countrygarden.bi.main.model.AccessToken;

/**
 * 建言负责人-业务逻辑层
 *
 * @author 木木子
 * @email 944528607@qq.com
 * @url 
 * @date 2019-04-15
 */
public interface IAfAdviseResponsiblerService {

  

    Result queryById(Integer id);

    Result addOrEdit(String data,String branchTypeCode, AccessToken accessToken);

    /**
     * 批量软删除 ，改enable=0
     * @param ids
     * @return
     */
    Result del(String ids);

	Result queryList(AdviseResponsiblerParam adviseResponsiblerParam, AccessToken accessToken);

    /**
     * 获得当前用户所有的角色信息
     * @param adviseFeedbackParam
     * @return
     */
    AdviseFeedbackParam getAdviseResponsiblerDTO(AdviseFeedbackParam adviseFeedbackParam);


}